2018-09-18 15:50 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005392GNUnetrps servicepublic2018-08-13 14:22
Reporterch3 
Assigned Toch3 
PrioritynormalSeverityminorReproducibilitysometimes
StatusresolvedResolutionfixed 
Product VersionSVN HEAD 
Target VersionFixed in Version 
Summary0005392: rps service establishes channel to one peer twice, which is not intended.
Descriptionrps service establishes channel to one peer twice, which is not intended.

Observed this was observed in the logs of another peer.
Steps To ReproduceRun rps service in some way.
Additional InformationJul 05 19:11:01-756907 rps-20636 DEBUG New channel was established to us (Peer DDNX).
Jul 05 19:11:01-756931 rps-20636 DEBUG Peer DDNX is live and valid, calling 1 pending operations on it
Jul 05 19:11:01-756945 rps-20636 DEBUG Removing pending liveliness check for peer DDNX

[...]

Jul 05 19:13:04-241964 rps-20636 DEBUG New channel was established to us (Peer DDNX).
Jul 05 19:13:04-241994 rps-20636 DEBUG Peer DDNX is live and valid, calling 0 pending operations on it
Jul 05 19:13:04-242011 rps-20636 INFO Destroying channel due to GNUNET_CADET_channel_destroy()
Jul 05 19:13:04-242026 rps-20636 DEBUG Callback on destruction of recv-channel was called (DDNX)
Jul 05 19:13:04-242038 rps-20636 DEBUG Peer is NOT in the process of being destroyed
Jul 05 19:13:04-242049 rps-20636 DEBUG Peer DDNX destroyed recv channel - cleaning up channel
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0013139

ch3 (developer)

See report 0005393.

~0013140

ch3 (developer)

Jul 05 19:10:54-830779 rps-21225 DEBUG Got peer_id 66FV from peerinfo
Jul 05 19:10:54-830810 rps-21225 DEBUG Get informed about peer 66FV getting live
Jul 05 19:10:54-830826 rps-21225 DEBUG Trying to establish channel to peer 66FV
Jul 05 19:10:54-830842 rps-21225 DEBUG Creating channel to peer 66FV at port RNN0WW1R
Jul 05 19:11:00-595696 rps-21225 DEBUG New channel was established to us (Peer 66FV).
Jul 05 19:11:00-595726 rps-21225 DEBUG Peer 66FV is live and valid, calling 2 pending operations on it
Jul 05 19:11:00-595739 rps-21225 DEBUG Removing pending liveliness check for peer 66FV
Jul 05 19:11:00-595752 rps-21225 DEBUG Updating samplers with peer 66FV from insert_in_sampler()
Jul 05 19:11:01-640685 rps-21225 DEBUG 66FV
Jul 05 19:11:01-641696 rps-21225 DEBUG Going to send PULL REQUEST to peer 66FV.
Jul 05 19:11:01-641708 rps-21225 DEBUG Sending message to 66FV of type PULL REQUEST
Jul 05 19:11:04-242169 rps-21225 DEBUG Sending message on channel 66FV to CADET, new window size is 0
Jul 05 19:11:04-322528 rps-21225 DEBUG Sending message on channel 66FV to CADET, new window size is 0
Jul 05 19:11:04-690971 rps-21225 DEBUG Received CHECK_LIVE (66FV)
Jul 05 19:11:05-988963 rps-21225 DEBUG Received CHECK_LIVE (66FV)
Jul 05 19:11:07-646674 rps-21225 DEBUG Received PULL REPLY (66FV)
Jul 05 19:11:07-646805 rps-21225 DEBUG 1. 66FV
Jul 05 19:11:09-901055 rps-21225 DEBUG Updating with peer 66FV from pull list
Jul 05 19:11:09-901069 rps-21225 DEBUG Updating samplers with peer 66FV from insert_in_sampler()
Jul 05 19:11:09-904626 rps-sampler_elem-21225 DEBUG Keeping old PeerID 66FV
Jul 05 19:11:09-905217 rps-sampler_elem-21225 DEBUG Keeping old PeerID 66FV
Jul 05 19:11:09-905755 rps-sampler_elem-21225 DEBUG Keeping old PeerID 66FV
Jul 05 19:11:12-802039 rps-sampler_elem-21225 DEBUG Keeping old PeerID 66FV
Jul 05 19:11:14-501044 rps-sampler_elem-21225 DEBUG Keeping old PeerID 66FV
Jul 05 19:11:14-501605 rps-sampler_elem-21225 DEBUG Keeping old PeerID 66FV
Jul 05 19:11:14-688658 rps-21225 DEBUG 3. 66FV
Jul 05 19:11:17-366161 rps-sampler_elem-21225 DEBUG Keeping old PeerID 66FV
Jul 05 19:11:17-366694 rps-sampler_elem-21225 DEBUG Keeping old PeerID 66FV
Jul 05 19:11:17-367258 rps-sampler_elem-21225 DEBUG Discarding old PeerID 66FV
Jul 05 19:11:17-367979 rps-21225 DEBUG Updating with peer 66FV from pull list
Jul 05 19:11:17-367990 rps-21225 DEBUG Updating samplers with peer 66FV from insert_in_sampler()
Jul 05 19:12:38-193177 rps-21225 DEBUG 3. 66FV
Jul 05 19:12:39-073893 rps-21225 DEBUG Received PULL REQUEST (66FV)
Jul 05 19:12:39-073932 rps-21225 DEBUG Going to send PULL REPLY with 3 peers to 66FV
Jul 05 19:12:39-073946 rps-21225 DEBUG Sending message to 66FV of type PULL REPLY
Jul 05 19:12:39-073970 rps-21225 DEBUG Sending message on channel 66FV to CADET, new window size is 3
Jul 05 19:12:40-159448 rps-21225 DEBUG Updating with peer 66FV from pull list
Jul 05 19:12:40-159472 rps-21225 DEBUG Updating samplers with peer 66FV from insert_in_sampler()
Jul 05 19:12:42-325752 rps-21225 DEBUG Received PUSH (66FV)
Jul 05 19:12:43-518317 rps-21225 DEBUG Updating with peer 66FV from push list
Jul 05 19:12:43-518328 rps-21225 DEBUG Updating samplers with peer 66FV from insert_in_sampler()
+Notes

-Issue History
Date Modified Username Field Change
2018-07-05 21:39 ch3 New Issue
2018-07-05 21:39 ch3 Status new => assigned
2018-07-05 21:39 ch3 Assigned To => ch3
2018-07-05 21:40 ch3 Note Added: 0013139
2018-07-05 21:48 ch3 Note Added: 0013140
2018-08-13 14:22 ch3 Status assigned => resolved
2018-08-13 14:22 ch3 Resolution open => fixed
+Issue History